%define oname   net-ftp

Name:       ruby-%{oname}
Version:    0.1.3
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the FTP client protocol
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A pure Ruby implementation of the FTP client protocol

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Wed Jul 20 2022 bcornec <bcornec> 0.1.3-1.mga9
+ Revision: 1869605
- Adds ruby-net-ftp for vagrant 2.2.19
- Created package structure for ruby-net-ftp.

